package com.ruoyi.ehsFloodDroughtWorker.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 防汛抗旱队伍人员信息对象 ehs_flood_drought_worker
 *
 * @author ruoyi
 * @date 2023-12-14
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_flood_drought_worker")
public class EhsFloodDroughtWorker extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type= IdType.AUTO)
    private Long id;

    /** 防汛抗旱队伍id */
    private Long teamId;

    /** 防汛抗旱队伍名称 */
    @Excel(name = "防汛抗旱队伍名称")
    private String teamName;

    /** 人员姓名 */
    @Excel(name = "人员姓名")
    private String workerName;

    /** 性别 */
    @Excel(name = "性别(0-男,1-女)")
    private Integer gender;

    /** 出生年月日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月(格式为:2023-12-12)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 工作年限 */
    @Excel(name = "工作年限")
    private String workYear;

    /** 技能特长 */
    @Excel(name = "技能特长")
    private String speciality;

}
