package com.ruoyi.ehsFloodDroughtWorker.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsFloodDroughtTeam.domain.EhsFloodDroughtTeam;
import com.ruoyi.ehsFloodDroughtWorker.domain.EhsFloodDroughtWorker;
import com.ruoyi.ehsFloodDroughtWorker.domain.FloodDroughtWorkerImportTemplate;

import java.util.List;

/**
 * 防汛抗旱队伍人员信息Service接口
 *
 * @author ruoyi
 * @date 2023-12-14
 */
public interface IEhsFloodDroughtWorkerService extends IService<EhsFloodDroughtWorker> {

    /**
     * 查询防汛抗旱队伍人员信息
     *
     * @param id 防汛抗旱队伍人员信息主键
     * @return 防汛抗旱队伍人员信息
     */
    public EhsFloodDroughtWorker selectEhsFloodDroughtWorkerById(Long id);

    /**
     * 查询防汛抗旱队伍人员信息列表
     *
     * @param ehsFloodDroughtWorker 防汛抗旱队伍人员信息
     * @return 防汛抗旱队伍人员信息集合
     */
    public List<EhsFloodDroughtWorker> selectEhsFloodDroughtWorkerList(EhsFloodDroughtWorker ehsFloodDroughtWorker);

    /**
     * 根据防汛抗旱队伍ids删除队伍中的人员信息
     *
     * @param teamIds 队伍ids
     * @return
     */
    public boolean removeWorkerByTeamIds(List<Long> teamIds);


    // 根据teamId更新防汛抗旱人员信息
    public boolean updateWorkerByTeamId(EhsFloodDroughtTeam ehsFloodDroughtTeam);

    //批量导入 params是防汛抗旱队伍id
    public String importData(List<FloodDroughtWorkerImportTemplate> list, Boolean updateSupport, Long params) throws Exception;
}
